// We can use any package from NPM since they are all built in.
const { getKrakenTickerStream } = require('ts-crypto-cli');
const { pairwise } = require('rxjs/operators');
const { Subject, Subscription } = require('rxjs');

// Track latest price
const krakenTicker$ = getKrakenTickerStream('XBT', 'EUR')
krakenTicker$.subscribe(({ price: lastKrakenPrice }) => {
    console.log({ lastKrakenPrice });
}, (krakenTrackLastPriceError) => {
    logError({ krakenTrackLastPriceError });
})

// Track last price change
krakenTicker$.pipe(pairwise()).subscribe(([{ price: prevKrakenPrice }, { price: currentKrakenPrice }]) => {
    console.log({ prevKrakenPrice, currentKrakenPrice });
}, (krakenWatchPriceChangeError) => {
    logError({ krakenWatchPriceChangeError });
});
